//
//  MPVariable.m
//  MathKit
//
//  Created by Kim Wittenburg on 09.10.14.
//  Copyright (c) 2014 Kim Wittenburg. All rights reserved.
//

#import "MPVariable.h"



@implementation MPVariable

- (instancetype)initWithVariableName:(NSString *)variableName
{
    self = [super init];
    if (self) {
        NSAssert(variableName != nil, @"variableName must not be nil.");
        NSAssert(variableName.length > 0, @"variableName must be at least one character long.");
        _variableName = variableName;
    }
    return self;
}


- (NSDecimalNumber *)doEvaluation:(NSError *__autoreleasing *)error
{
    return [self valueForVariable:self.variableName
                            error:error];
}

@end
